# BACKEND

## Installation

- Clone the project:
``` bash
git clone https://git.chauvet.pro/michel/ft_transcendence
cd ft_transcendence
git switch server
```
- Create python virtual environnement.
``` bash
python3 -m venv .env
```
- Source the environnement.
``` bash
source .env/bin/activate
```
- Install the requirements
``` bash
pip install -r requirements.txt
```
- Setup database
```
python manage.py runserver makemigrations profiles games
python manage.py migrate profiles games
```
- Start the developpement server
```
python manage.py runserver 0.0.0.0:8000
```
